Subject: Re: [PATCH v3 5/7] refs: add pseudorefs array and iteration functions

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Oct 2023 17:08:51 -0700

Andy Koppe <[email-masked]> writes:

> Define const array 'pseudorefs' with the names of the pseudorefs that
> are documented in gitrevisions.1, and add functions for_each_pseudoref()
> and refs_for_each_pseudoref() for iterating over them.

Makes sense, and we can later (ab|re)use the same mechanism to
extend "git for-each-ref" that currently only knows how to show
things under "refs/" hierarchy.

> The functions process the pseudorefs in the same way as head_ref() and
> refs_head_ref() process HEAD, invoking an each_ref_fn callback on each
> pseudoref that exists.

Good.